Subject: Re: bug#54691: fortune-mod propagates various non-nice things

From: Csepp <[email-masked]>
Date: Thu, 14 Jul 2022 15:00:26 +0200

Maxim Cournoyer <[email-masked]> writes:

> Hi Maxime,
>
> Maxime Devos <[email-masked]> writes:
>
>> Hi guix,
>>
>> fortune-mod currently propagates (in the non-technical sense) various
>> non-nice things like objectification, misogeny, religious intolerance,
>> anti-mathematician-ism (?) and date rape.  That is not an exhaustive
>> list, these are just the first few things I encountered with "fortune
>> off".
>>
>> To reproduce the issue, run "fortune off" a few times.  Or just
>> "fortune", though then it can take a bit longer.
>>
>> There are also a few non-nice things in the non-off set.  E.g.:
>>
>> $ fortune
>>> User n.:
>>>	A programmer who will believe anything you tell him.
>> # ^ from 'definitions'
>>
>> As such, just removing 'off' doesn't seem sufficient.  Unless Someone™
>> volunteers to remove the anti-fortunes (*), I would just remove
>> 'fortune-mod', given that it seems to serve no practical purpose byond
>> being non-nice.  WDYT?
>
> 'off' here apparently means the 'offensive' database, as explained by
> Liliana; seems it offends alright :-).
>
> The GNU FSDG has says nothing about what programs may or may not
> contain, for a good reason: the line to draw could get very subjective
> (similar to how the GPL ).
>
> I don't think we should judge our software on terms falling outside of
> the Free Software Distribution Guidelines, but a simple thing we could
> add here would be a note in the description to caution the user that
> running
>
> @example
> fortune off
> @end example
>
> is intended to be offensive.
>
> What do you think?
>
> Thanks,
>
> Maxim

Honestly this is dumb, it's not even practically useful software. We
have no obligation to package something that jokes about date rape and
contributes nothing of practical value.
This is very different to the reasoning behind the lack of moral clauses
in the GPL. And again, just because something is free software, we don't have to
package it.
It's a ticking PR timebomb and nothing of value would be lost if we got
rid of that file. If some snowflake gets triggered because we removed
their favorite date rape joke, they self identified as someone whose
opinion we should ignore. :P